Affecting RC4 support has been completely removed

Published: | Categories: Privacy & Security

Description

The RC4 support has been deprecated since Firefox 36 and disabled by default since Firefox 44. As a temporary workaround, the users could still enable it via hidden preferences in case some intranet applications were not updated yet.

After a 1-year grace period, Firefox 50 has removed the ability to override the preferences so now the RC4 support is completely dropped. This follows Google Chrome 53 released in August which took the same security measure. From now on Firefox will just show the SSL_ERROR_NO_CYPHER_OVERLAP error when encountered any site using the RC4 cipher.

References